Bug Hunting Session
Bug 56291 - LO-3.7: saving with password removes all content
Summary: LO-3.7: saving with password removes all content
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.0.alpha0+ Master
Hardware: Other All
: medium blocker
Assignee: Markus Mohrhard
URL:
Whiteboard: target:3.7.0
Keywords:
Depends on:
Blocks: mab4.0
  Show dependency treegraph
 
Reported: 2012-10-22 19:20 UTC by Markus Mohrhard
Modified: 2012-10-26 00:17 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Mohrhard 2012-10-22 19:20:38 UTC
Saving with current master and a password removes all content from the document. It is not the import as the calc import tests still work.
Comment 1 Petr Mladek 2012-10-25 10:48:38 UTC
Added LO-3.7 into the subject, so it is easier for me to filter LO-3.6 blockers :-)
Comment 2 Markus Mohrhard 2012-10-25 15:00:50 UTC
Some more comments from debugging and exploring:

content.xml and styles.xml look the same between unencrypted and encrypted export

manifest.xml looks normal but did not yet check against a 3.6 file. No exceptions during export or import are thrown that look wrong.
Comment 3 Markus Mohrhard 2012-10-25 15:56:21 UTC
Ok, looks like http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b0198b2442bc749491d0f1e5e2c811346e5d568 broke it. I have to figure out why it only broke the encrypted document import.
Comment 4 Markus Mohrhard 2012-10-26 00:09:11 UTC
This was a problem around uno. The commit introducing support for larger streams changed all the stream size variables to 64 bit but the one place where these information are written into the manifest.xml was still 32bit. UNO therefore did not write the information into the variable.
Comment 5 Not Assigned 2012-10-26 00:17:20 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eac570e018e2382104b829d1c5a4312179354331

uncommpressed stream size is now 64bit, fdo#56291



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.